Bug 495075 - unable to partition disk in EFI installation
unable to partition disk in EFI installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 12:20 EDT by Roger Mach
Modified: 2009-06-25 13:59 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 13:59:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot (72.27 KB, image/png)
2009-04-09 12:20 EDT, Roger Mach
no flags Details
Screen shot (71.52 KB, image/png)
2009-04-09 12:21 EDT, Roger Mach
no flags Details
Screen shot (56.94 KB, image/png)
2009-04-09 12:21 EDT, Roger Mach
no flags Details
anaconda log (64.29 KB, text/plain)
2009-04-09 12:22 EDT, Roger Mach
no flags Details
program log (1.50 KB, text/plain)
2009-04-09 12:22 EDT, Roger Mach
no flags Details
storage log (157.18 KB, text/plain)
2009-04-09 12:23 EDT, Roger Mach
no flags Details

  None (edit)
Description Roger Mach 2009-04-09 12:20:38 EDT
Created attachment 338938 [details]
Screen shot

Description of problem:
Installing to a disk with a GPT using EFI mode, anaconda will not automatically partition the disk, and complains "You have not created a boot partition".  This continues to occur even after I manually partition and create /boot and /boot/efi partitions.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. boot from boot.iso CD image
2. navigate through install screens until partitioning step
3. try "replace existing linux system", "use entire drive", and "create custom layout" - same error with all three options.
  
Actual results:
Disk is not partitioned, install fails to complete.

Expected results:
Disk is partitioned and installation continues.

Additional info:
Attached screenshots and logs
Comment 1 Roger Mach 2009-04-09 12:21:12 EDT
Created attachment 338939 [details]
Screen shot
Comment 2 Roger Mach 2009-04-09 12:21:40 EDT
Created attachment 338941 [details]
Screen shot
Comment 3 Roger Mach 2009-04-09 12:22:11 EDT
Created attachment 338942 [details]
anaconda log
Comment 4 Roger Mach 2009-04-09 12:22:39 EDT
Created attachment 338943 [details]
program log
Comment 5 Roger Mach 2009-04-09 12:23:01 EDT
Created attachment 338944 [details]
storage log
Comment 6 Roger Mach 2009-04-09 12:49:35 EDT
I have also confirmed that this problem occurs when using a completely blank disk (zeroed with dd) instead of a disk that already had a GPT written.  There was an additional dialog confirming that the disk needed to be initialized, then everything else was the same.  After the partitioning failed, I confirmed that the disk now had a GPT but no partitions were defined.
Comment 7 Chris Lumens 2009-04-09 16:45:51 EDT
This should be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 8 Bug Zapper 2009-06-09 09:33:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.